"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gossiper = void 0;
class Gossiper {
    constructor(group, options) {
        this.group = group;
        this.timer = setInterval(this.findAndGossip.bind(this), options.intervalInMs);
        this.gossip = options.gossip;
    }
    destroy() {
        clearInterval(this.timer);
    }
    findAndGossip() {
        const nodes = this.group.nodes;
        if (nodes.length === 0) {
            return;
        }
        const idx = Math.floor(Math.random() * nodes.length);
        const node = nodes[idx];
        this.gossip(node);
    }
}
exports.Gossiper = Gossiper;
//# sourceMappingURL=Gossiper.js.map